# Enum Class QCommandStatus

java.lang.Object
java.lang.Enum<QCommandStatus>
com.io7m.quarrel.core.QCommandStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<QCommandStatus>`, `Constable`

public enum QCommandStatus extends Enum<QCommandStatus>
The result of executing a command.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILURE`
  The command failed.
  `SUCCESS`
  The command succeeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `exitCode()`
  Determine the exit code for this status.
  `static QCommandStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QCommandStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final QCommandStatus SUCCESS
    The command succeeded.

  - ### FAILURE

    public static final QCommandStatus FAILURE
    The command failed.

- ## Method Details

  - ### values

    public static QCommandStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static QCommandStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exitCode

    public abstract int exitCode()
    Determine the exit code for this status. POSIX conventions are followed; success is a zero exit code, whilst failure is a non-zero exit code.
    Returns:
      The implied exit code